summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorStefano Sabatini <stefasab@gmail.com>2012-09-05 23:45:35 +0200
committerStefano Sabatini <stefasab@gmail.com>2012-09-06 00:40:01 +0200
commit77c991d8c54376646b7d365c05ee961b5d01c081 (patch)
tree6e01e0907129bb2804527ae4b4cebafbf4dee291 /tests
parent9a2daef53ffe6bc0f1b879d55d57a1eef9d1f684 (diff)
tests/lavfi-regressions: support user-specified test name in do_lavfi_pixfmts()
Make do_lavfi_pixfmts() support an user-specified name for the test. This allows to specify two pixfmts tests for the same filter, e.g. to test a filter with different parameters. Useful for the pending tinterlace tests.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/lavfi-regression.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/tests/lavfi-regression.sh b/tests/lavfi-regression.sh
index 0496d8a6b3..7609b6117d 100755
--- a/tests/lavfi-regression.sh
+++ b/tests/lavfi-regression.sh
@@ -74,7 +74,14 @@ do_lavfi_plain "alphaextract_yuv" "[in]slicify=random,format=yuv420p,split,alp
do_lavfi_colormatrix "colormatrix" bt709 fcc bt601 smpte240m
do_lavfi_pixfmts(){
- test ${test%_[bl]e} = pixfmts_$1 || return 0
+ # if there are three parameters, the first param is the test name
+ if [ -n "$3" ]; then
+ testname=$1;
+ shift;
+ else
+ testname=pixfmts_$1;
+ fi
+ test ${test%_[bl]e} = $testname || return 0
filter=$1
filter_args=$2